function AdjustHeight()
{
	if(parent.ifrMain.height !=530)
		parent.ifrMain.height =530;
}

function genHeaderTable(titleName){
    //generate background table
    document.write("<table border=0 cellspacing=0><tr><td width=10 height=5></td><td></td></tr>");
    document.write("<tr><td></td><td>");

    //generate back frame table
    document.write("<table id=tabBigFrame class=tabBigFrame><tr><td align=center>");
    
    //generate main table frame and big title name 
    document.write("<table id=tabBigTitle class=tabBigTitle cellspacing=0>");
    document.write("    <tr><td class=tdBigTitle valign=middle>&nbsp;&nbsp;&nbsp;" + titleName + "</td></tr>");
    //document.write("        <img id=imgBigTitle class=imgBigTitle src='light_blue.jpg'>");
    document.write("    <tr><td valign=top><table width=100% class=tabTopLine cellspacing=0><tr><td>");
}

function genHeaderTableEnd()
{

	document.write("		</td></tr></table>");	
	document.write("	</td></tr></table>");	
	document.write("</td></tr></table>");
	document.write("</td></tr></table>");
}


function genSecTable(titleName, tableType){
    document.write("<table id=" + tableType + " class=" + tableType + ">");
    document.write("    <tr><td class=tdSecTitle valign=top>&nbsp;&nbsp;&nbsp;<font style='position: relative; top:1;'>" + titleName + "</font>");
    document.write("        <img id=imgSecTitle class=imgSecTitle src='dark_blue.jpg'>");
    document.write("</table>");
}

function genSubTableStart(titleName){
    document.write("<table id=tabSubConfig class=tabSubConfig cellspacing=0>");
    document.write("    <tr><td class=tdSubTitle valign=top>&nbsp;&nbsp;&nbsp;<font style='position: relative; top:1;'>" + titleName + "</font></td></tr>");
    document.write("    <tr><td align=center>");
}

function genSubTableEnd()
{
    document.write("    </td></tr)");
    document.write("</table>");
}

function genTxRxTable(titleName, tableType){
    document.write("<table id=" + tableType + " class=" + tableType + ">");
    document.write("    <tr><td class=tdSecTitle valign=top>&nbsp;&nbsp;&nbsp;<font style='position: relative; top:1;'>" + titleName + "</font>");
    document.write("        <img id=imgTxRx class=imgTxRx src='dark_blue.jpg'>");
    document.write("</table>");
}

function genWhiteTable(tableType){
    document.write("<table id=" + tableType + " class=" + tableType + ">");
    document.write("    <tr><td class=tdSecTitle valign=top>&nbsp;&nbsp;&nbsp;<font style='position: relative; top:1;'></font>");
    document.write("        <img id=imgTxRx class=imgTxRx src='dark_blue.jpg'>");
    document.write("</table>");
}


function genTopExplain(titleName, tableType){
    document.write("");
}


function hiddenThis(tagName)
{
    types = "hidden";
    tagName.style.visibility = types;
}

function showThis(tagName)
{
    types = "visible";
    tagName.style.visibility = types;
}

function refreshThis(){
    window.location = self.location;
}

function chgCursor(tagName){
    tagName.style.cursor = "hand";
}

function submitForm(tagName){
    alert('submit!! <' + tagName.name + '> form.');
}
